from getpass import getpass
from optparse import OptionParser
from requests import Session
try:
    import env
except ModuleNotFoundError:
    exit('No env.py file found, exiting...')

class Init():
    def parse_args():
        parser = OptionParser()
        parser.add_option('-u', '--username', action='store', dest='username', default=None, help="Bitbucket admin username, Expects following string")
        parser.add_option('-p', '--password', action='store', dest='password', default=None, help="Bitbucket admin password, Expects following string")
        options, args = parser.parse_args()
        return options


class InitEnv():
    def __init__(self, options):

        self.base_url = "https://api.bitbucket.org"

        if options.username:
            self.username = options.username
        else:
            self.username = env.username
        if self.username == "":
            self.username = self._get_username()

        if options.password:
            self.password = options.password
        else:
            self.password = env.password
        if self.password == "":
            self.password = self._get_password()

        self.session = Session()
        self.session.auth = (self.username, self.password)

    def _get_username():
        username = input("Please enter the Admin username for your source environment:\n")
        return username

    def _get_password():
        password = getpass("Please enter the Admin password for your source environment:\n")
        return password
